import { LitElement } from 'lit';
/**
 *  @element uui-button-inline-create
 *  @description - Special button for creating new elements
 *  @attr {Boolean} vertical - display vertical version of the button
 *  @fires click on user click
 */
export declare class UUIButtonInlineCreateElement extends LitElement {
    #private;
    private _position;
    /**
     * Label to be used for aria-label and eventually as visual label
     * @type {string}
     * @attr
     */
    label?: string;
    /**
     * Place the button vertically
     * @type {Boolean}
     * @attr
     */
    vertical: boolean;
    /**
     * Set an href, this will turns the button into an anchor tag.
     * @type {string}
     * @attr
     * @default undefined
     */
    href?: string;
    /**
     * Set an anchor tag target, only used when using href.
     * @type {string}
     * @attr
     * @default undefined
     */
    target?: '_blank' | '_parent' | '_self' | '_top';
    /**
     * Set the rel attribute for an anchor tag, only used when using href.
     * @type {string}
     * @attr
     * @default undefined
     */
    rel?: string;
    private _onMouseMove;
    private _handleClick;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-button-inline-create': UUIButtonInlineCreateElement;
    }
}
